package eu.midnightdust.yaytris.util;

public enum Difficulty {
    NOOB(2000), EASY(1200), NORMAL(1000), HARD(500), EXTREME(100), WTF(30, "WTF");
    private final int timerPeriod;
    private final String name;

    Difficulty(int timerPeriod) {
        this.timerPeriod = timerPeriod;
        this.name = this.name().charAt(0) + this.name().substring(1).toLowerCase();
    }

    Difficulty(int timerPeriod, String name) {
        this.timerPeriod = timerPeriod;
        this.name = name;
    }

    public int getTimerPeriod() {
        return timerPeriod;
    }

    @Override
    public String toString() {
        return this.name;
    }
}
